Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1362374

Summary: When creating and enable a bridge by NetworkManager the bridge dosn't work unless reboot
Product: [Fedora] Fedora Reporter: Xibo Ning <xning>
Component: NetworkManagerAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: dcbw, fgiudici, lkundrak
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 16:09:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Xibo Ning 2016-08-02 05:37:39 UTC
Description of problem:
Following https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-Configure_Network_Bridging_Using_a_GUI.html to create a bridge by Networkmanager, after creating enable the bridge. The bridge seems not work.

How reproducible:


Steps to Reproduce:
1. Create a bridge by NetworkManager
2. Add the wired network card to the bridge
3. Enable the bridge
4. Check the network configurations by ifconfig and brctl command

Actual results:

[nerd@localhost ~]$ ifconfig
bridge0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether ae:4e:05:0f:b6:56  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

ens3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.122.107  netmask 255.255.255.0  broadcast 192.168.122.255
        inet6 fe80::c6ba:7786:ad09:394f  prefixlen 64  scopeid 0x20<link>
        ether 52:54:00:94:f7:da  txqueuelen 1000  (Ethernet)
        RX packets 108  bytes 9552 (9.3 KiB)
        RX errors 0  dropped 3  overruns 0  frame 0
        TX packets 148  bytes 14910 (14.5 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 65536
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 1  (Local Loopback)
        RX packets 16  bytes 1392 (1.3 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 16  bytes 1392 (1.3 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[nerd@localhost ~]$ sudo brctl show
bridge name	bridge id		STP enabled	interfaces
bridge0		8000.000000000000	yes		
[nerd@localhost ~]$
[nerd@localhost ~]$ ping -c 3 github.com
PING github.com (192.30.253.112) 56(84) bytes of data.
64 bytes from 192.30.253.112 (192.30.253.112): icmp_seq=1 ttl=42 time=339 ms
64 bytes from 192.30.253.112 (192.30.253.112): icmp_seq=2 ttl=42 time=336 ms
64 bytes from 192.30.253.112 (192.30.253.112): icmp_seq=3 ttl=42 time=349 ms

--- github.com ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2002ms
rtt min/avg/max/mdev = 336.686/342.055/349.771/5.593 ms
[nerd@localhost ~]$
Version-Release number of selected component (if applicable):
[nerd@localhost ~]$ sudo ip route show
default via 192.168.122.1 dev ens3  proto static  metric 100 
192.168.122.0/24 dev ens3  proto kernel  scope link  src 192.168.122.107  metric 100 
[nerd@localhost ~]$ 

Expected results:
the bridge should have the slave ens3 and works well.

Additional info:
After rebooting the bridge works

Comment 1 Fedora End Of Life 2017-07-25 22:12:11 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 16:09:19 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.